LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   PHP: No GD support? (http://www.linuxquestions.org/questions/slackware-14/php-no-gd-support-565081/)

intens 06-28-2007 06:35 AM

PHP: No GD support?
 
Hi,
I'm using Slackware current (PHP Version 5.2.3).
I noticed that in PHP I can't use functions like imagecreate(). From phpinfo() I see that PHP seems not to have GD support enabled.
But I see, that it has been compiled with '--with-gd=shared,/usr'.
What does this mean? How can I can enable GD support for PHP?

Thanks for any suggestions :)

willysr 06-28-2007 06:43 AM

i think it's because Pat hasn't rebuild the PHP package to link to the latest GD library which has just been updated to fix security vulnerability

I usually use GD bundled by PHP by using --with-gd parameter without giving any specific path to search for

rworkman 06-30-2007 01:54 AM

In case you hadn't noticed, this is now fixed in -current.

intens 06-30-2007 06:41 AM

Thank you both for the help!

I upgraded to the latest current, now it's working :)


All times are GMT -5. The time now is 04:40 PM.